{"command":{"effect":"write","timeoutSeconds":30,"inputSchema":{"type":"object","description":"**Use this endpoint to export lists or segments of contacts**.\n\nIf you would just like to have a link to the exported list sent to your email set the `notifications.email` option to `true` in the `POST` payload.\n\nIf you would like to download the list, take the `id` that is returned and use the \"Export Contacts Status\" endpoint to get the `urls`. Once you have the list of URLs, make a `GET` request to each URL provided to download your CSV file(s).\n\nYou specify the segments and or/contact lists you wish to export by providing the relevant IDs in, respectively, the `segment_ids` and `list_ids` fields in the request body.\n\nThe lists will be provided in either JSON or CSV files. To specify which of these you would required, set the request body `file_type` field to `json` or `csv`.\n\nYou can also specify a maximum file size (in MB). If the export file is larger than this, it will be split into multiple files.","properties":{"body":{"type":"object","properties":{"list_ids":{"description":"IDs of the contact lists you want to export.","type":"array","items":{"type":"string","format":"uuid"}},"segment_ids":{"description":"IDs of the contact segments you want to export.","type":"array","items":{"type":"string"}},"notifications":{"type":"object","properties":{"email":{"type":"boolean"}}},"file_type":{"allOf":[{"$ref":"#/definitions/FileType"},{"type":"string","default":"csv"}]},"max_file_size":{"description":"The maximum size of an export file in MB. Note that when this option is specified, multiple output files may be returned from the export.","default":5000,"type":"integer"}}}},"required":[],"additionalProperties":false,"definitions":{"FileType":{"type":"string","enum":["csv","json"]}}},"name":"Export Contacts","id":"sendgrid.mc_contacts.exportcontact","example":{},"maxRequests":1,"summary":false}}